#
# spec file for package osmo-iuh
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           osmo-iuh
Version:        0.2.0
Release:        0
Summary:        Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)
License:        AGPL-3.0-or-later AND GPL-2.0-or-later
Group:          Hardware/Mobile
Url:            https://osmocom.org/projects/osmohnbgw/wiki
Source:         %name-%version.tar.xz
Patch1:         0001-fix-compiler-warning-implicit-function-declaration-i.patch
Patch2:         0001-fix-return-values.patch
Patch3:         0001-iu_client-uses-gprs_msgb.h.patch
BuildRequires:  automake >= 1.9
BuildRequires:  libtool >= 2
BuildRequires:  lksctp-tools-devel
BuildRequires:  pkg-config >= 0.20
# python2 for asn1tostruct.py
BuildRequires:  python2
BuildRequires:  xz
BuildRequires:  pkgconfig(libasn1c) >= 0.9.28
BuildRequires:  pkgconfig(libosmo-netif) >= 0.1.0
BuildRequires:  pkgconfig(libosmo-sigtran) >= 0.8.0
BuildRequires:  pkgconfig(libosmocore) >= 0.10.0
BuildRequires:  pkgconfig(libosmogb)
BuildRequires:  pkgconfig(libosmogsm) >= 0.10.0
BuildRequires:  pkgconfig(libosmovty) >= 0.10.0

%description
Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

%package -n libosmo-ranap1
Summary:        Shared Library part of libosmo-ranap
Group:          System/Libraries

%description -n libosmo-ranap1
Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

%package -n libosmo-ranap-devel
Summary:        Development files for Osmocom RANAP library
Group:          Development/Libraries/C and C++
Requires:       libosmo-ranap1 = %version

%description -n libosmo-ranap-devel
Osmocom code for the Iuh interface (HNBAP, RUA, RANAP)

This subpackage contains libraries and header files for developing
applications that want to make use of libosmoranap.

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -p1

%build
autoreconf -fi
%configure --disable-static --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
%make_install
find "%buildroot" -type f -name "*.la" -delete -print

%check
if ! make %{?_smp_mflags} check; then
	find . -type f -name testsuite.log -exec cat "{}" "+"
%ifnarch ppc ppc64
	exit 1
%endif
fi

%post   -n libosmo-ranap1 -p /sbin/ldconfig
%postun -n libosmo-ranap1 -p /sbin/ldconfig

%files
%doc COPYING README.md
%dir %_docdir/%name/examples
%_docdir/%name/examples/osmo-hnbgw.cfg
%_bindir/osmo-hnbgw

%files -n libosmo-ranap1
%_libdir/libosmo-ranap.so.1*

%files -n libosmo-ranap-devel
%_includedir/*
%_libdir/libosmo-ranap.so
%_libdir/pkgconfig/*.pc

%changelog
